using System;
using System.IO;
using System.Text;
using System.Windows.Forms;

class SqlDocument : Document
{
	SqlBox _SqlBox;

	public SqlDocument()
	{
	}

	public SqlBox Control
	{
		get { return _SqlBox; }
		set { _SqlBox = value; }
	}

	public override Boolean Modified
	{
		get
		{
			return Control.Modified;
		}
		set
		{
			Control.Modified = value;
		}
	}

	protected override void Reset()
	{
		Control.SetText("");
		Control.Reset();
	}

	protected override Boolean Read(FileStream fs)
	{
		try
		{
			Byte[] bytes = new Byte[fs.Length];
			fs.Read(bytes, 0, (Int32)fs.Length);
			UTF8Encoding enc = new UTF8Encoding();
			String text = enc.GetString(bytes);
			Control.SetText(text);
			return true;
		}
		catch
		{
			return false;
		}
	}

	protected override Boolean Write(FileStream fs)
	{
		try
		{
			UTF8Encoding enc = new UTF8Encoding();
			Byte[] bytes = enc.GetBytes(Control.GetText());
			fs.Write(bytes, 0, bytes.Length);
			return true;
		}
		catch
		{
			return false;
		}
	}
}

